/****************************************************************************************

		BasicImageDCOMImplementations.cpp

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Revision History

		Author:	Mathieu
		Date:	03/10/99


		when		who			what & why
		==========	======= 	======================================================


*****************************************************************************************/

#include "BasicImageCOMImplementation.h"
#include "COMImagesUtilities.h"
#include "MCCountedPtrHelper.h"


//------------------------------------------------------------------------
void ExtensionInit(IMCUnknown* utilities)
//------------------------------------------------------------------------
{
	InitImagesUtilities(utilities);
}

//------------------------------------------------------------------------
void ExtensionCleanup()
//------------------------------------------------------------------------
{
	CleanupImagesUtilities();
}




/*****************************************************************************\
*                                                                             *
*  Basic implementation of I2DExColorPicker interface                         *
*                                                                             *
\*****************************************************************************/


//------------------------------------------------------------------------
MCCOMErr MCCOMAPI TBasicColorPicker::QueryInterface(const MCIID& riid, void** ppvObj)
//------------------------------------------------------------------------
{
	if (MCIsEqualIID(riid, IID_I2DExColorPicker))
	{
		TMCCountedGetHelper<I2DExColorPicker> result(ppvObj);
		result = this;
		return MC_S_OK;
	}
	return TBasicDataExchanger::QueryInterface(riid, ppvObj);
}




/*****************************************************************************\
*                                                                             *
*  Basic implementation of I2DExColorSet interface							  *
*                                                                             *
\*****************************************************************************/


//------------------------------------------------------------------------
MCCOMErr MCCOMAPI TBasicColorSet::QueryInterface(const MCIID& riid, void** ppvObj)
//------------------------------------------------------------------------
{
	if (MCIsEqualIID(riid, IID_I2DExColorSet))
	{
		TMCCountedGetHelper<I2DExColorSet> result(ppvObj);
		result = this;
		return MC_S_OK;
	}
	return TBasicDataExchanger::QueryInterface(riid, ppvObj);
}

//------------------------------------------------------------------------
MCCOMErr TBasicColorSet::Create (EICColorSpaceSignature colorSpace, I2DExColorSet** object)
//------------------------------------------------------------------------
{	
	return MC_S_OK;
}